<script id="fragment-shape-shader" type="x-shader/x-fragment">

precision mediump float;

uniform vec4 u_color;

void main() {
    gl_FragColor = u_color;
}


</script>

<script id="vertex-shape-shader" type="x-shader/x-vertex">
 attribute vec2 a_position;

 uniform mat3 u_matrix;

 void main() {
    // Multiply the position by matrix
    gl_Position = vec4((vec3(a_position, 1) * u_matrix).xy, 0, 1);
 }

</script>

<script id="fragment-grid-shader" type="x-shader/x-fragment">

precision mediump float;

 varying lowp vec4 vColor;

 void main() {
    gl_FragColor = vColor;
 }

</script>

<script id="vertex-grid-shader" type="x-shader/x-vertex">
 attribute vec2 a_position;
 attribute vec4 a_vertexColor;

 uniform mat3 u_matrix;

 varying lowp vec4 vColor;

 void main() {
    // Multiply the position by matrix
    gl_Position = vec4((vec3(a_position, 1) * u_matrix).xy, 0, 1);
    vColor = a_vertexColor;
 }

</script>